<?xml version="1.0"?>
<project
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
    xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.inra.ecoinfo</groupId>
        <artifactId>orelacs</artifactId>
        <version>1609.00.15-SNAPSHOT</version>
        <relativePath>..</relativePath>
    </parent>
    <artifactId>zooplancton-services-impl</artifactId>
    <packaging>jar</packaging>
    <version>1609.00.15-SNAPSHOT</version>	
    <name>zooplancton-services-impl</name>
    <description>application zooplancton Implementation of GLACPE SI</description>
    <properties>
        <stagingDirectory>../target/site</stagingDirectory>
    </properties>


    <build>
        <resources>
            <resource>
                <targetPath>./META-INF</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp</directory>
                <includes>
                    <include>resources/**</include>
                    <include>templates/**</include>
                </includes>
            </resource>
            <resource>
                <targetPath>./META-INF/resources</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp</directory>
                <includes>
                    <include>*.xhtml</include>
                    <include>**/*.xhtml</include>
                </includes>
            </resource>

            <resource>
                <targetPath>./META-INF</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp/WEB-INF</directory>
                <includes>
                    <include>faces-config.xml</include>
                </includes>
            </resource>

            <resource>
                <targetPath>.</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/resources</directory>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${surefire.version}</version>
                <!--version>2.16</version -->
                <configuration>
                    <forkCount>10</forkCount>
                    <reuseForks>false</reuseForks>
                    <skipTests>false</skipTests>
                    <testSourceDirectory>src/test</testSourceDirectory>
                    <systemPropertyVariables>
                        <lib>${project.build.testOutputDirectory}/WEB-INF/lib</lib>
                    </systemPropertyVariables>
                    <testFailureIgnore>false</testFailureIgnore>
                    <includes>
                        <!--include>/org/inra/ecoinfo/acbb/ACBBCoreTestFixture.java</include-->
                        <include>**/*Test.java</include>
                    </includes>
                    <systemPropertyVariables>
                        <propertyName>concordion.output.dir</propertyName>
                        <buildDirectory>target/concordion</buildDirectory>
                    </systemPropertyVariables>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.surefire</groupId>
                        <artifactId>surefire-junit47</artifactId>
                        <version>${surefire.version}</version>
                        <!--version>2.16</version -->
                    </dependency>
                </dependencies>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>${maven.source.version}</version>
                <executions>
                    <execution>
                        <id>test-jar</id>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>log4j**</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>${jar.plugin.version}</version>
                <executions>
                    <execution>
                        <id>test-jar</id>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>log4j**</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>zooplancton-services-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>orelacs-core-services-impl</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!--
                        <dependency>
                                <groupId>${project.groupId}</groupId>
                                <artifactId>orelacs-core-services-impl</artifactId>
                                <version>${project.version}</version>
                                <type>test-jar</type>
                        </dependency>
        -->

    </dependencies>
</project>

